Main Page Class Hierarchy Compound List File List Compound Members File Members

# read_arc.c File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <chron3.h>`
`#include <read_arc.h>`

Go to the source code of this file.

## Functions
int | strib (char *)
void | read_fl2 (char *, float *)
void | read_fl1 (char *, float *)
void | read_i (char *, int *)
void | logit (char *, char *,...)
int | read_hyp (char *sumLine, char *shdw, struct Hsum *sumP)
int | read_phs (char *phs, char *shdw, struct Hpck *pckP)

## Function Documentation

void logit | ( | char * | ,
|  | char * | ,
|  | ... |
| ) |

| Definition at line 396 of file logit.c.

void read_fl1 | ( | char * | ,
|  | float * |
| ) | `[static]`

| Definition at line 430 of file read_arc.c. References NO_FLOAT_VAL, and strib(). Referenced by read_hyp(), and read_phs().

void read_fl2 | ( | char * | ,
|  | float * |
| ) | `[static]`

| Definition at line 422 of file read_arc.c. References NO_FLOAT_VAL, and strib(). Referenced by read_hyp(), and read_phs().

int read_hyp | ( | char * | sumLine,
|  | char * | shdw,
|  | struct Hsum * | sumP
| ) |

| Definition at line 77 of file read_arc.c. References Hsum::cdate, Hsum::dmin, Hsum::e0, Hsum::e0az, Hsum::e0dp, Hsum::e1, Hsum::e1az, Hsum::e1dp, Hsum::e2, Hsum::erh, Hsum::erz, Hsum::gap, julsec17(), Hsum::labelpref, Hsum::lat, logit(), Hsum::lon, Hsum::Md, Hsum::mdmad, Hsum::mdtype, Hsum::mdwt, min, Hsum::Mpref, Hsum::nph, Hsum::ot, Hsum::qid, read_fl1(), read_fl2(), read_i(), Hsum::reg, Hsum::rms, Hsum::wtpref, and Hsum::z. Referenced by ArcMsg2EWEvent().

void read_i | ( | char * | ,
|  | int * |
| ) | `[static]`

| Definition at line 438 of file read_arc.c. References NO_INT_VAL, and strib(). Referenced by read_hyp(), and read_phs().

int read_phs | ( | char * | phs,
|  | char * | shdw,
|  | struct Hpck * | pckP
| ) |

| Definition at line 207 of file read_arc.c. References Hpck::azm, Hpck::caav, Hpck::ccntr, Hpck::cdate, Hpck::codalen, Hpck::codalenObs, Hpck::codawt, Hpck::comp, Hpck::datasrc, Hpck::dist, julsec17(), logit(), Hpck::Md, Hpck::net, Hpck::pamp, Hpck::Pat, Hpck::Pfm, Hpck::Plabel, Hpck::Ponset, Hpck::Pqual, Hpck::Pres, Hpck::Pwt, read_fl1(), read_fl2(), read_i(), Hpck::Sat, Hpck::Sfm, Hpck::site, Hpck::Slabel, Hpck::Sonset, Hpck::Squal, Hpck::Sres, strib(), Hpck::Swt, and Hpck::takeoff. Referenced by ArcMsg2EWEvent().

int strib | ( | char * |  | ) | `[static]`

| Definition at line 402 of file read_arc.c. Referenced by read_fl1(), read_fl2(), read_i(), and read_phs().